> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useglyde.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bank Transfer Collection

> Create a collection with a virtual bank account for payment.



## OpenAPI

````yaml post /v1/collection/bank-transfer
openapi: 3.0.3
info:
  title: Glyde Public API
  description: Glyde API for payments, collections, transfers, and virtual accounts
  version: 1.0.0
servers:
  - url: https://api.useglyde.co
    description: Production
  - url: https://sandbox.useglyde.co
    description: Sandbox
security:
  - bearerAuth: []
tags:
  - name: Account
    description: Account verification and bank listing
  - name: Collection
    description: Accept payments from customers
  - name: Transfers
    description: Send money to bank accounts
  - name: Transactions
    description: Transaction history and details
  - name: Settlements
    description: Settlement management
  - name: Wallet
    description: Wallet balance
  - name: Verification
    description: Identity verification
  - name: Virtual Accounts
    description: Virtual account management
paths:
  /v1/collection/bank-transfer:
    post:
      tags:
        - Collection
      summary: Create Bank Transfer Collection
      description: Create a collection with a virtual bank account for payment.
      operationId: createBankTransferCollection
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - currency
                - reference
                - amount
                - customer_name
                - customer_email
              properties:
                currency:
                  type: string
                  example: NGN
                reference:
                  type: string
                  example: order_12345678
                amount:
                  type: integer
                  example: 10000
                customer_name:
                  type: string
                  example: John Doe
                customer_email:
                  type: string
                  example: john.doe@example.com
                customer_phone:
                  type: string
                  example: '08012345678'
                meta:
                  type: object
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      reference:
                        type: string
                      account_number:
                        type: string
                      account_name:
                        type: string
                      bank_name:
                        type: string
                      amount:
                        type: integer
                      fee:
                        type: integer
                      expires_at:
                        type: string
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````